RanklyBee logoRanklyBee
Backlinks

List tracked backlinks

GET
/workspaces/{workspaceId}/backlinks

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

Query Parameters

siteId?string

Filter results to one website.

status?string

Value in

  • "pending"
  • "live"
  • "changed"
  • "lost"
  • "blocked"
  • "error"
  • "closed"
page?integer

One-based page number. Out-of-range pages return an empty data array.

Range1 <= value
Default1
limit?integer

Results per page. The legacy pageSize alias is also accepted.

Range1 <= value <= 100
Default25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/backlinks"
{  "ok": true,  "data": {    "data": [      {        "id": "string",        "siteId": "string",        "source": "outreach",        "acquisitionOrigin": "unknown",        "sourceUrl": "http://example.com",        "targetUrl": "http://example.com",        "category": "string",        "status": "pending",        "observedAnchor": "string",        "lastCheckedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "page": 0,      "limit": 0,      "total": 0,      "hasMore": true    }  }}